shopxo/phalapi2-alipay

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

支付宝支付基于支付宝api2.0

dev-master 2019-07-11 06:45 UTC

This package is auto-updated.

Last update: 2021-11-11 12:28:41 UTC


README

支付宝支付基于支付宝api2.0接口实现 http://gong.gg/

安装和配置

修改项目下的composer.json文件,并添加:

    "shopxo/phalapi2-alipay": "dev-master"

然后执行composer update

注册

在/path/to/phalapi/config/di.php文件中,注册:

$di->alipay = function() {
    return new \PhalApi\Alipay\Lite();
};

使用

发起支付

\PhalApi\DI()->alipay->Pay();